Rotate webhook secret
POST
/api/v1/instance/audit/webhook/rotate-secret
const url = 'https://example.com/api/v1/instance/audit/webhook/rotate-secret';const options = { method: 'POST', headers: { cookie: 'ttx_access_token=<ttx_access_token>', 'X-CSRF-Token': '<X-CSRF-Token>' }};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example.com/api/v1/instance/audit/webhook/rotate-secret \ --header 'X-CSRF-Token: <X-CSRF-Token>' \ --cookie ttx_access_token=<ttx_access_token>Replace the SIEM webhook’s signing secret.
Authorizations
Section titled “Authorizations”Responses
Section titled “Responses”Successful Response
Media typeapplication/json
AuditWebhookRead
object
allow_http
required
Allow Http
boolean
configured
required
Configured
boolean
enabled
Enabled
boolean
has_authorization
Has Authorization
boolean
pending
Pending
integer
Example
{ "enabled": false, "has_authorization": false, "pending": 0}